Bug 29300 - Release team 22.05
Summary: Release team 22.05
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-21 12:00 UTC by Martin Renvoize
Modified: 2021-12-03 00:30 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12,19.11.24


Attachments
Bug 23900: Add 22.05 release team to teams.yaml (2.45 KB, patch)
2021-10-21 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29300: Add 22.05 release team to teams.yaml (2.50 KB, patch)
2021-10-27 19:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 29300: Add 22.05 release team to teams.yaml (2.59 KB, patch)
2021-10-28 06:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-10-21 12:00:34 UTC
Add the next release team :)
Comment 1 Martin Renvoize 2021-10-21 12:18:00 UTC
Created attachment 126664 [details] [review]
Bug 23900: Add 22.05 release team to teams.yaml

Add the 22.05 release team.

Test plan
1/ Check against
   https://wiki.koha-community.org/wiki/Release_Teams
Comment 2 David Nind 2021-10-27 19:45:48 UTC
Created attachment 127023 [details] [review]
Bug 29300: Add 22.05 release team to teams.yaml

Add the 22.05 release team.

Test plan
1/ Check against
   https://wiki.koha-community.org/wiki/Release_Teams

https://bugs.koha-community.org/show_bug.cgi?id=29300

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-10-27 19:52:04 UTC
Hi Martin.

I have signed off, but noticed that it doesn't include:

- Release maintainers
- Topic experts
- IRC meeting facilitator
- Continuous integration infrastructure maintainer (shown as Jenkins maintainer)
- Website Maintainer
- Wiki Curator
- Newsletter Editor
- Social media managers

I'm just assuming that this is because they haven't been shown for previous releases, and possibly (apart from release maintainers) it is because they are wider community roles, rather than for a specific release.

David
Comment 4 Marcel de Rooy 2021-10-28 05:55:27 UTC
(In reply to David Nind from comment #3)
> Hi Martin.
> 
> I have signed off, but noticed that it doesn't include:
> 
> - Release maintainers
> - Topic experts
> - IRC meeting facilitator
> - Continuous integration infrastructure maintainer (shown as Jenkins
> maintainer)
> - Website Maintainer
> - Wiki Curator
> - Newsletter Editor
> - Social media managers
> 
> I'm just assuming that this is because they haven't been shown for previous
> releases, and possibly (apart from release maintainers) it is because they
> are wider community roles, rather than for a specific release.
> 
> David

Release maintainers should be included imo. We did in the past too. But the other roles are more or less outside the scope of the release team. Topic expert is not really an actual role, its more info. (I think we should not include them in the roles vote.)
Comment 5 Marcel de Rooy 2021-10-28 05:56:23 UTC
David did you see:

+    maintainer:
+      - version: 21.11
+        name: Kyle M Hall
+      - version: 21.05
+        name: Andrew Fuerste-Henry
+      - version: 20.11
+        name: Victor Grousset
+      - version: 19.11
+        name: Wainui Witika-Park
Comment 6 Marcel de Rooy 2021-10-28 06:00:05 UTC
And:

+    te:
+      - area: UI Design
+        name: Owen Leonard
+      - area: REST API
+        name: Tomás Cohen Arazi
+      - area: Zebra
+        name: Fridolin Somers
+      - area: Accounts
+        name: Martin Renvoize

te = topic expert

+    meeting_facilitator:
+      - name: Jessica Zairo
+    ci:
+      - name: Tomás Cohen Arazi

CI Continuous Integratoin

+    wiki:
+      - name: Thomas Dukleth
+      - name: Jake Deery
+    newsletter:
+      - name: Michael Kuhn
+    accessibility_advocates:
+      - name: Wainui Witika-Park

Seems that you only did not see:

> - Website Maintainer
> - Social media managers
Comment 7 Marcel de Rooy 2021-10-28 06:04:47 UTC
(In reply to Marcel de Rooy from comment #4)
> (In reply to David Nind from comment #3)

> Release maintainers should be included imo. We did in the past too. But the
> other roles are more or less outside the scope of the release team. Topic
> expert is not really an actual role, its more info. (I think we should not
> include them in the roles vote.)

Conclusion: They turn out to be almost all in. I would define the borders of the release team a bit narrower. But, no problem.
Comment 8 Marcel de Rooy 2021-10-28 06:06:25 UTC
Created attachment 127026 [details] [review]
Bug 29300: Add 22.05 release team to teams.yaml

Add the 22.05 release team.

Test plan
1/ Check against
   https://wiki.koha-community.org/wiki/Release_Teams

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Jonathan Druart 2021-10-28 10:30:12 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-10-29 15:54:58 UTC
Pushed to 21.05.x for 21.05.05
Comment 11 Fridolin Somers 2021-11-10 23:51:17 UTC
Pushed to 20.11.x for 20.11.12
Comment 12 Victor Grousset/tuxayo 2021-11-15 04:43:19 UTC
Backported: Pushed to 20.05.x branch for 20.05.18
Comment 13 Victor Grousset/tuxayo 2021-11-16 07:56:53 UTC
Maybe I shouldn't have backported to 20.05.x since it will reach end of life?

Now in the about page I see:

> This is the team who are responsible for the next release of Koha and the ongoing maintenance of your currently installed Koha version. They will be in these roles up until 05/22/2022

Which doesn't make sense.

And as a consequence, the Release maintainer role isn't present. Since in the 22.05 team there is no such role.

I would say that I should revert from 20.05.x and that in the future if this patch comes up before the end of the cycle, then the soon to EOL release shouldn't backport it.


Wait, there is more, shouldn't 21.05.x and 20.11.x have waited next cycle before backporting? As the wrong RMaint is listed.
Comment 14 Martin Renvoize 2021-11-16 08:34:37 UTC
Good points to raise.. This patch should be bakported as one of the last things one does prior to their final release as RMaint.. though any time during that last month is fine really as it won't take wider effect until release.

As for the last one to contain it, I'm not sure where I stand on that one.. perhaps if there's not an RMaint listed we should display 'No longer actively supported by the community' or something like that.. or 'Security release only, refer to the website for the current release team' ?


With the introduction of LTS releases, this becomes a bigger question indeed.
Comment 15 Martin Renvoize 2021-11-16 08:35:53 UTC
Another option is to put 'end of life' details into the teams.yaml and publish that on the about page too?
Comment 16 Victor Grousset/tuxayo 2021-11-21 05:09:37 UTC
> This patch should be bakported as one of the last things one does prior to their final release as RMaint.. though any time during that last month is fine really as it won't take wider effect until release.

But about.pl will still say that the release is maintained while it's already EOL?

I plan to revert from 20.05.x unless I missed something and someone tells me.
That way it will be like the past cycles where the next team patch was done and backported on the beginning of it's cycle. So only the still supported releases had this team.


> Another option is to put 'end of life' details into the teams.yaml and publish that on the about page too?

EOL could be mentioned when the RMaint isn't found. Then yes it's makes sense to backport the next team in a release soon-to-be-EOL
Comment 17 wainuiwitikapark 2021-11-22 23:17:34 UTC
Could someone please help me with what I should do with this bug for 19.11.x?

I think it is too late this month to add it to 19.11.x but I can add it next month?
Comment 18 Martin Renvoize 2021-11-24 08:46:13 UTC
Did we reach a final agreement on what our support process would be.. how long is long in LTS terms.. do we continue to maintain three stables + the LTS or do we drop at least one stable so we can concentrate on doing a good job of maintaining an LTS.. how far back to security only releases continue.

I think we need to consider these things before adding an 'End of life' date into releases... I'd love to see a rolling stream added personally.
Comment 19 Victor Grousset/tuxayo 2021-11-25 02:20:21 UTC
Reverted from 20.05.x as it's end of line.

See comment 13 and following
Comment 20 Victor Grousset/tuxayo 2021-11-25 02:21:13 UTC
(In reply to wainuiwitikapark from comment #17)
> Could someone please help me with what I should do with this bug for 19.11.x?

I think you should backport it. Like for 21.05 and 20.11, this bug is relevant for 19.11.
Comment 21 wainuiwitikapark 2021-12-03 00:30:38 UTC
Backported: Pushed to 19.11.x branch for 19.11.24